Subject: bug#65053: 30.0.50; Emacs falsely recommends removal of explicitly installed

From: Raoul Comninos <[email-masked]>
Date: Sat, 5 Aug 2023 05:34:52 +0200

I have checked the variable and it was missing markdown-mode and included a
few packages I had removed. I have tweaked it, and removed and reinstalled
a few packages to align the variable with what is installed in elpa in dot
emacs. The problem occurs on multiple systems in Linux and Windows.

On Fri, 4 Aug 2023 at 19:08, Jim Porter <[email-masked]> wrote:

> On 8/4/2023 8:15 AM, Raoul Comninos wrote:
> > I am encountering a peculiar issue with Emacs's package management
> > system where it is falsely recommending the removal of packages that I
> > have explicitly installed via package-install. One such example is the
> > markdown-mode package.
> >
> > I have installed the affected packages explicitly using M-x
> > package-install, so they are not dependencies.
>
> Emacs considers a package to be explicitly installed if (and only if, I
> think) it's listed in 'package-selected-packages'. Make sure the value
> of this variable is what you expect. If it's not, make sure your
> configuration is loading variables that were set by the Customize
> interface; when installing packages interactively,
> 'package-selected-packages' is set via the Customize code.
>
> > How does package-autoremove decide which packages to remove?
>
> 'package-autoremove' will remove a package if a) it's not in
> 'package-selected-packages' and b) nothing else in
> 'package-selected-packages' depends on it.
>